curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions/{transaction_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"amount": "61.11",
"category": "Groceries",
"check_number_string": "6812",
"currency_code": "USD",
"description": "Whole foods",
"id": "transaction-265abee9-889b-af6a-c69b-25157db2bdd9",
"is_international": false,
"latitude": -43.2075,
"localized_description": "This is a localized_description",
"localized_memo": "This is a localized_memo",
"longitude": 139.691706,
"memo": "This is a memo",
"merchant_category_code": 5411,
"merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"merchant_location_guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
"metadata": "some metadata",
"posted_at": "2016-10-07T06:00:00.000Z",
"status": "POSTED",
"transacted_at": "2016-10-06T13:00:00.000Z",
"type": "DEBIT"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions/{transaction_guid}"
payload = { "transaction": {
"amount": "61.11",
"category": "Groceries",
"check_number_string": "6812",
"currency_code": "USD",
"description": "Whole foods",
"id": "transaction-265abee9-889b-af6a-c69b-25157db2bdd9",
"is_international": False,
"latitude": -43.2075,
"localized_description": "This is a localized_description",
"localized_memo": "This is a localized_memo",
"longitude": 139.691706,
"memo": "This is a memo",
"merchant_category_code": 5411,
"merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"merchant_location_guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
"metadata": "some metadata",
"posted_at": "2016-10-07T06:00:00.000Z",
"status": "POSTED",
"transacted_at": "2016-10-06T13:00:00.000Z",
"type": "DEBIT"
} }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transaction: {
amount: '61.11',
category: 'Groceries',
check_number_string: '6812',
currency_code: 'USD',
description: 'Whole foods',
id: 'transaction-265abee9-889b-af6a-c69b-25157db2bdd9',
is_international: false,
latitude: -43.2075,
localized_description: 'This is a localized_description',
localized_memo: 'This is a localized_memo',
longitude: 139.691706,
memo: 'This is a memo',
merchant_category_code: 5411,
merchant_guid: 'MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b',
merchant_location_guid: 'MCL-00024e59-18b5-4d79-b879-2a7896726fea',
metadata: 'some metadata',
posted_at: '2016-10-07T06:00:00.000Z',
status: 'POSTED',
transacted_at: '2016-10-06T13:00:00.000Z',
type: 'DEBIT'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions/{transaction_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update managed transaction
Sunset. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. There is no direct replacement; to send data held at your institution to MX, use MDX Real Time. See Deprecations for details.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for an account.
The unique id for a member.
The unique id for a transaction.
The unique identifier for a user, beginning with the prefix USR-.
Body
Managed transaction object to be updated (While no single parameter is required, the request body can't be empty)
Hide child attributes
Hide child attributes
The monetary amount of the transaction.
"61.11"
The category of the transaction.
"Groceries"
The check number for the transaction.
"6812"
The three-character ISO 4217 currency code, for example, USD.
"USD"
A human-readable version of the original_description field.
"Whole foods"
The unique partner-defined identifier for the transaction.
"transaction-265abee9-889b-af6a-c69b-25157db2bdd9"
Indicates whether the transaction is international. If the data provider determines it isn't international then it will be false. It will be null if the data provider does not have this information.
false
The latitude of the location where the transaction occurred. The number is a signed decimal.
-43.2075
A human-readable description of the transaction, provided in a local language.
"This is a localized_description"
Additional descriptive information about the transaction, provided in a local language.
"This is a localized_memo"
The longitude of the location where the transaction occurred. The number is a signed decimal.
139.691706
Additional information about the transaction.
"This is a memo"
The ISO 18245 category code for the transaction.
5411
The unique identifier for the merchant. Defined by MX.
"MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
The unique identifier for the merchant location. Defined by MX.
"MCL-00024e59-18b5-4d79-b879-2a7896726fea"
Additional information you can store about the transaction.
"some metadata"
The date and time the transaction was posted to the account.
"2016-10-07T06:00:00.000Z"
The status of the transaction. Can be either POSTED or PENDING.
POSTED, PENDING "POSTED"
The date and time the transaction took place.
"2016-10-06T13:00:00.000Z"
The type of transaction. Can be either CREDIT or DEBIT.
CREDIT, DEBIT "DEBIT"
Response
Gone. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. See Deprecations.

